Datastores
Listar datastores
Obtener todos los datastores de tu organización.
GET
/
api
/
datastores
curl -X GET https://app.horneross.com/api/datastores \
-H "Authorization: Bearer sk_live_xxx"
const response = await fetch(
'https://app.horneross.com/api/datastores',
{
headers: {
'Authorization': 'Bearer sk_live_xxx',
},
}
);
const datastores = await response.json();
import requests
response = requests.get(
'https://app.horneross.com/api/datastores',
headers={'Authorization': 'Bearer sk_live_xxx'}
)
datastores = response.json()
[
{
"id": "ds_abc123",
"name": "FAQ General",
"description": "Preguntas frecuentes del sitio",
"type": "qdrant",
"visibility": "private",
"_count": {
"datasources": 15
},
"createdAt": "2024-01-15T10:00:00Z"
}
]
Endpoint
GET /api/datastores
Headers
Bearer token con tu API key. Formato:
Bearer sk_live_xxxcurl -X GET https://app.horneross.com/api/datastores \
-H "Authorization: Bearer sk_live_xxx"
const response = await fetch(
'https://app.horneross.com/api/datastores',
{
headers: {
'Authorization': 'Bearer sk_live_xxx',
},
}
);
const datastores = await response.json();
import requests
response = requests.get(
'https://app.horneross.com/api/datastores',
headers={'Authorization': 'Bearer sk_live_xxx'}
)
datastores = response.json()
Response
Array de datastores
Show Propiedades de cada datastore
Show Propiedades de cada datastore
ID único del datastore
Nombre del datastore
Descripción
Tipo de vector store (
qdrant)Visibilidad:
public o privateCantidad de documentos
Fecha de creación (ISO 8601)
[
{
"id": "ds_abc123",
"name": "FAQ General",
"description": "Preguntas frecuentes del sitio",
"type": "qdrant",
"visibility": "private",
"_count": {
"datasources": 15
},
"createdAt": "2024-01-15T10:00:00Z"
}
]
Was this page helpful?
⌘I
curl -X GET https://app.horneross.com/api/datastores \
-H "Authorization: Bearer sk_live_xxx"
const response = await fetch(
'https://app.horneross.com/api/datastores',
{
headers: {
'Authorization': 'Bearer sk_live_xxx',
},
}
);
const datastores = await response.json();
import requests
response = requests.get(
'https://app.horneross.com/api/datastores',
headers={'Authorization': 'Bearer sk_live_xxx'}
)
datastores = response.json()
[
{
"id": "ds_abc123",
"name": "FAQ General",
"description": "Preguntas frecuentes del sitio",
"type": "qdrant",
"visibility": "private",
"_count": {
"datasources": 15
},
"createdAt": "2024-01-15T10:00:00Z"
}
]
